Part Torus/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
 
(20 intermediate revisions by 4 users not shown)
Line 1: Line 1:
<languages/>
{{GuiCommand/ro|Name=Part Torus|Name/ro=Part Torus|MenuLocation=Part → Torus||Workbenches=[[Part Module/ro|Part]], Complete|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]}}

{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}

<div class="mw-translate-fuzzy">
{{GuiCommand/ro
|Name=Part Torus
|Name/ro=Part Torus
|MenuLocation=Part → Torus
|
|Workbenches=[[Part_Workbench/ro|Part]], Complete
|SeeAlso=[[Part_CreatePrimitives/ro|Part CreatePrimitives]]
}}
</div>


== Description ==
== Description ==
Creates a simple parametric torus, with position, angle1, angle2, angle3, radius1 and radius2 as parameters.


<div class="mw-translate-fuzzy">
[[File:SimpleTorus.jpg|400px]]
== Descriere ==
Creează un tor simplu parametric, cu parametrii de poziție, unghi1, unghi2, unghi 3, raza1 și raza2.
</div>


A Part Torus can be turned into a segment of a torus by changing its {{PropertyData|Angle3}} property. By changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties the swept profile can become a segment of a circle.
== How to use ==


[[Image:Part_Torus_Example.png|400px]]
In the [[Part_Workbench|Part]] workbench click on the torus icon [[Image:Part Torus.png|32px]]. The torus will be positioned at origin (point 0,0,0) on creation.
The angle parameters (angle1, angle2, angle3), as well as the radius parameter ( radius1 , radius2) parameters permit to parametrize the torus, see next paragraph.


<div class="mw-translate-fuzzy">
== Option ==
== Cum se folosește ==
</div>


<div class="mw-translate-fuzzy">
[[File:TorusExampleOverviewParameters.jpg]]
În bara de lucru [[Part_Workbench|Part]] faceți clic pe pictograma torus [[Image: Part Torus.png|32px]]. Torusul va fi poziționat la origine (punctul 0,0,0) la crearea.
Parametrii unghiului (unghiul1, unghiul2, unghiul3), precum și parametrii razei (raza1, raza2) permit parametrizarea torusului, a se vedea paragraful următor.
</div>


== Example ==
'''Parameter'''


[[Image:Part_Torus_Scripting_Example.png|thumb|Part Torus from the scripting example]]
A torus can be assimilated to a small disc that makes a circular orbit around an imaginary axe. Thus the parametric torus is defined by the following parameters:


A Part Torus object created with the [[#Scripting|scripting example]] below is shown here.
* {{Parameter|Radius 1:}} Radius of the circle around which the disc circulate
* {{Parameter|Radius 2:}} Radius of the disc defining the form of the torus
* {{Parameter|Angle 1:}} 1nd angle to cut / define the disc of the torus
* {{Parameter|Angle 2:}} 2nd angle to cut / define the disc of the torus
* {{Parameter|Angle 3:}} 3rd angle to define the circumference of the torus.


== Notes ==
as well as the standard set of placement parameters. The pictures below give a visual overview of the parameters antecedently mentioned:


* A Part Torus can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.

<div class="mw-translate-fuzzy">
[[File:TorusExampleRadius1.jpg]]
[[File:TorusExampleRadius1.jpg]]
The parameter radius 1 has a value of 20 mm.
The parameter Radius1 has a value of 20 mm.
</div>


See also: [[Property_editor|Property editor]].
[[File:TorusExampleRadius2.jpg]]
The parameter radius 2 has a value of 2 mm.


A Part Torus object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
[[File:TorusExampleAngle1.jpg]]
The parameter angle 1 has a value of -90°. Notice that, the "angle measure" tool cannot display negative angle. Considered the displayed value in picture as "-90°".


=== Data ===
[[File:TorusExampleAngle2.jpg]]
The parameter angle 2 has a value of 90°.


{{TitleProperty|Attachment}}
[[File:TorusExampleAngle3.jpg]]
The parameter angle 3 has a value of 90°.


The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].


{{TitleProperty|Torus}}


<div class="mw-translate-fuzzy">
{{clear}}
* {{Parameter|Radius1:}} Raza cercului în jurul căruia circulă discul
<languages/>
* {{Parameter|Radius2:}} Raza discului care definește forma torului
* {{Parameter|Angle1:}} un unghi pentru a tăia / defini discul torului
* {{Parameter|Angle2:}} al doilea unghi pentru a tăia / defini discul torului
* {{Parameter|Angle3:}} al treilea unghi pentru a defini circumferința torului.
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Torus can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
}}

* Where {{Incode|"myTorus"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav
|[[Part_Cone|Cone]]
|[[Part_Tube|Tube]]
|[[Part_Workbench|Part]]
|IconL=Part_Cone.svg
|IconR=Part_Tube.svg
|IconC=Workbench_Part.svg
}}

{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 09:58, 3 March 2022

Part Torus

poziția meniului
Part → Torus
Ateliere
Part, Complete
scurtătură
nici unul
Prezentat în versiune
-
A se vedea, de asemenea,
Part CreatePrimitives

Description

Descriere

Creează un tor simplu parametric, cu parametrii de poziție, unghi1, unghi2, unghi 3, raza1 și raza2.

A Part Torus can be turned into a segment of a torus by changing its DateAngle3 property. By changing its DateAngle1 and/or DateAngle2 properties the swept profile can become a segment of a circle.

Cum se folosește

În bara de lucru Part faceți clic pe pictograma torus . Torusul va fi poziționat la origine (punctul 0,0,0) la crearea. Parametrii unghiului (unghiul1, unghiul2, unghiul3), precum și parametrii razei (raza1, raza2) permit parametrizarea torusului, a se vedea paragraful următor.

Example

Part Torus from the scripting example

A Part Torus object created with the scripting example below is shown here.

Notes

  • A Part Torus can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

The parameter Radius1 has a value of 20 mm.

See also: Property editor.

A Part Torus object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Torus

  • Radius1: Raza cercului în jurul căruia circulă discul
  • Radius2: Raza discului care definește forma torului
  • Angle1: un unghi pentru a tăia / defini discul torului
  • Angle2: al doilea unghi pentru a tăia / defini discul torului
  • Angle3: al treilea unghi pentru a defini circumferința torului.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Torus can be created with the addObject() method of the document:

torus = FreeCAD.ActiveDocument.addObject("Part::Torus", "myTorus")
  • Where "myTorus" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

torus = doc.addObject("Part::Torus", "myTorus")
torus.Radius1 = 20
torus.Radius2 = 10
torus.Angle1 = -90
torus.Angle2 = 45
torus.Angle3 = 270
torus.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()